
Redmine - Defect #3727

Redmine.pm doesn't work when merging

2009-08-10 20:23 - Pablo Lerina

Status: New Start date: 2009-08-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.8.4

Description

When running a svn merge got this error at Apache error_log:

[Mon Aug 10 15:22:02 2009] [notice] Apache/2.2.11 (Unix) mod_ssl/2.2.11 OpenSSL/0.9.8k DAV/2 Phusi

on_Passenger/2.2.4 SVN/1.6.2 mod_perl/2.0.4 Perl/v5.8.8 configured -- resuming normal operations

Can't make DBI com handle for DBD::Pg::db: unknown package.

 This problem was already reported here http://www.redmine.org/boards/2/topics/2512 and here 

http://www.redmine.org/boards/2/topics/7593.

About your application's environment

Ruby version              1.8.6 (i686-linux)

RubyGems version          1.3.5

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Application root          /var/www/redmine

Environment               development

Database adapter          postgresql

Database schema version   101

Subversion: 1.6.2

vhost conf:

                <Location /svn>

                  DAV svn

                  SVNParentPath "/var/svn/" 

                  SVNPathAuthz off

                  AuthType Basic

                  AuthName redmine

                  Require valid-user

                  PerlAccessHandler Apache::Authn::Redmine::access_handler

                  PerlAuthenHandler Apache::Authn::Redmine::authen_handler

                  RedmineDSN "dbi:Pg:dbname=redmine;host=localhost" 

                  RedmineDbUser "redmine" 

                  RedmineDbPass " " 

                </Location>

Related issues:

Related to Redmine - Patch #9066: Redmine.pm not working for merges/copy #3727 New 2011-08-16

History

#1 - 2009-08-10 20:44 - Pablo Lerina
http://www.redmine.org/boards/2/topics/2512
http://www.redmine.org/boards/2/topics/7593


And got the error

$ svn merge -r200:HEAD --dry-run https://localhost/svn/proj/trunk

svn: PROPFIND of '/svn/proj/!svn/bc/3095/trunk/src': Could not read status line: Secure connection truncated (

https://loclahost)

svn: Error reading spooled REPORT request response

#2 - 2009-08-15 17:01 - Ronie Henrich

+1

#3 - 2009-09-19 10:36 - Daniel Nauck

- File image002.png added

Hello,

same error with Redmine.pm on Ubuntu 9.04 and PostgreSQL

There're also a lot of bug reports in the Forum about this issue.

#4 - 2009-09-20 14:16 - Daniel Nauck

This forum post is also related, i've this too: http://www.redmine.org/boards/2/topics/4179

#5 - 2011-03-24 06:17 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

- Priority changed from High to Normal

#6 - 2011-08-16 11:01 - Andreas Reischuck

I added a patch that might fix this issue: #9066
